Page MenuHomePhabricator

[EL sanitization] Make cron send alert emails if job fails before calling refine
Closed, ResolvedPublic5 Story Points

Event Timeline

mforns created this task.Aug 21 2018, 4:50 PM
mforns triaged this task as Normal priority.
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 454318 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet/cdh@master] Change spark log4j config to output logs to stdout

https://gerrit.wikimedia.org/r/454318

Change 454318 abandoned by Mforns:
Change spark log4j config to output logs to stdout

Reason:
Discussed this with the team and we decided to go another path.

https://gerrit.wikimedia.org/r/454318

Change 454562 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet@production] Send an alert email when EventLoggingSanitization job fails

https://gerrit.wikimedia.org/r/454562

mforns renamed this task from [EL sanitization] Modify spark log4j params to output to stdout instead of stderr to [EL sanitization] Make cron send alert emails if job fails before calling refine.Aug 22 2018, 2:57 PM
Milimetric raised the priority of this task from Normal to High.

Change 475231 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet@production] Add RefineMonitor to EventLoggingSanitization analytics refinery job

https://gerrit.wikimedia.org/r/475231

Change 454562 abandoned by Mforns:
Send an alert email when EventLoggingSanitization job fails

Reason:
This is invalid after refactor. And is taken care by the new patch: https://gerrit.wikimedia.org/r/#/c/operations/puppet/ /475231/

https://gerrit.wikimedia.org/r/454562

Change 475231 merged by Elukey:
[operations/puppet@production] Add RefineMonitor to EventLoggingSanitization analytics refinery job

https://gerrit.wikimedia.org/r/475231

Yesterday @JAllemandou and I discovered a bug in profig, the library that ConfigHelper uses to parse property files.
I created an issue on their github repo: https://github.com/outr/profig/issues/24

Change 476290 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/refinery/source@master] Upgrade profig lib to 2.3.3 after bug fix upstream

https://gerrit.wikimedia.org/r/476290

Change 476290 merged by jenkins-bot:
[analytics/refinery/source@master] Upgrade profig lib to 2.3.3 after bug fix upstream

https://gerrit.wikimedia.org/r/476290

Change 476886 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet@production] Correct escape chars of EL sanitization in analytics data_purge.pp

https://gerrit.wikimedia.org/r/476886

Change 476886 merged by Elukey:
[operations/puppet@production] Correct escape chars of EL sanitization in analytics data_purge.pp

https://gerrit.wikimedia.org/r/476886

Change 478126 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/refinery/source@master] Add EventLoggingSanitizationMonitor.scala

https://gerrit.wikimedia.org/r/478126

Change 478129 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet@production] Adjust params for Analytics data_purge EventLoggingSanitization job

https://gerrit.wikimedia.org/r/478129

Change 478126 merged by Mforns:
[analytics/refinery/source@master] Add EventLoggingSanitizationMonitor.scala

https://gerrit.wikimedia.org/r/478126

Change 478129 merged by Ottomata:
[operations/puppet@production] Adjust params for Analytics data_purge EventLoggingSanitization job

https://gerrit.wikimedia.org/r/478129

mforns moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jan 7 2019, 7:03 PM

Change 482826 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet@production] Switch on RefineMonitor for Analytics EventLoggingSanitization

https://gerrit.wikimedia.org/r/482826

Change 482826 merged by Elukey:
[operations/puppet@production] Switch on RefineMonitor for Analytics EventLoggingSanitization

https://gerrit.wikimedia.org/r/482826

Nuria closed this task as Resolved.Feb 14 2019, 5:10 AM